(function($) {
 
//  Detect mobile divice
var isMobile = false;
if (/Mobi|Android/i.test(navigator.userAgent)) {
    
    isMobile = true;
    $('#quote1a .page-quote').css('top', '25%').css('left', '50%').css('transition','.3s all ease');
    $('#quote1b .page-quote').css('top', '60%').css('left', '50%').css('transition','.3s all ease');
}


//  Bring the page in after everything is ready
function pageOpenEffect() {
    $('body').removeClass('open-effect-1-init');
}

 /******************************
 *
 *     Menu and Navigation
 *
 ******************************/

function menuAnimationOnLoad() {

    //  Set the menu and nav bars to
    //  ainitial state Override Transition
    //  setting to make instant.
    $('.gi-main-menu').css('transition', '0s')
        .addClass('gi-mainmenu-trans');

    $('#navline-horz, #navline-vert')
        .css('transition', '0s').css('opacity','0');

    $('#navline-horz, #navline-vert').hide(325,

        function() {

            $('.gi-main-menu, #navline-horz, #navline-vert').css('transition', '').css('opacity','');

            $('#navline-horz, #navline-vert').show(1500);

        });

        setTimeout(
            function() {
                $('.gi-main-menu').removeClass('gi-mainmenu-trans');

        }, 750);
}
menuAnimationOnLoad();





function initializeMenuChildren() {

    $('.main-menu').addClass('closed');
            
    $('.gi-menu').children().addClass('gi-menu-list color1').addClass('close-effect')
            .append('<btn class="main-menu-close trans-ease75">X</btn>');

    $('.page_item_has_children').addClass('gi-menu-parent').addClass('menu-closed').addClass('close-hgt-effect').children('ul').addClass('sub-menu');

    $('.menu-item-has-children').addClass('gi-menu-parent').addClass('menu-closed').addClass('close-hgt-effect').children('ul').addClass('sub-menu');

    $('.gi-menu-parent').children().addClass('submenu-children').children().addClass('submenu-children-links');

    $('.gi-menu-parent').each(function() {

        var cntr = 0;

        $(this).prepend('<button id="close-' +  $(this).attr('id') +'" class="close-submenu" ></button> ');

        $(this).children('.sub-menu.submenu-children').each(function() {

            cntr++;

            $(this).addClass('submenu-child-' + cntr);

        });

    }); //  END .gi-menu-parent.each

    $('.close-submenu').on('click', function() {

        $(this).parent('.gi-menu-parent').toggleClass('menu-closed').toggleClass('menu-open').stop().toggleClass('open-hgt-effect close-hgt-effect');
    });

}
initializeMenuChildren();





//  Change horizontal menu to a hidden list if it is too long
function menuToHiddenList() {

    var parentWidth = ($('.blog-nav').width())* 0.33; 
    var thisWidth = $('.blog-nav').width();

    if (thisWidth >= parentWidth ) { 

        $('.blog-nav').addClass('menu-collapsed');

    }

}
menuToHiddenList();



var menuTitleElm;
var menuLogoElm;
var menuAltTrigger;
var menuCluseBtn;
var menuMainElm;

function menuOpenClose() {

    //  Elements that can toggle the menu
    menuTitleElm = '.blog-nav .menu-title';
    menuLogoElm = '.blog-masthead #nav-logo';
    menuAltTrigger = '#navlin-wrap';
    menuCluseBtn = '.main-menu-close';
    menuMainElm = '.gi-menu-list';


    $(menuTitleElm + ', ' + menuLogoElm + ', ' + menuAltTrigger).on('click', function(event) {

            //  Toggle the menu title text
            $(menuTitleElm).text($(menuTitleElm).text() === 'Close' ? 'Menu' : 'Close').toggleClass('menu-title-open');

            //  If the menu was closed, show the "close" button
            //  and bind a click to the button and the page
            if ( $('.gi-menu-list').hasClass( 'close-effect' ) === true ) {

                //$(menuCluseBtn).show('normal');

                $('html, ' + menuCluseBtn).on('click',
                    function() {

                        $('html, ' + menuCluseBtn).off('click');

                        $(menuTitleElm).text($(menuTitleElm).text() === 'Close' ? 'Menu' : 'Close').toggleClass('menu-title-open');

                        $('.main-menu').toggleClass('closed open');
                        $(menuMainElm).toggleClass('open-effect close-effect');

                });

            } else {

                $('html, ' + menuCluseBtn).off('click');
            }

            $('.main-menu').toggleClass('closed open');
            $(menuMainElm).toggleClass('open-effect close-effect');

            event.stopPropagation();

        });



        $(menuTitleElm + ', ' + menuLogoElm + ', ' + menuMainElm).click(function(event){
            event.stopPropagation();
        });


}
menuOpenClose();





function menuShrinkOrMove() {

    var menuTitleWidth = $(".blog-nav .menu-title").width();
    var menuWidth = menuTitleWidth + 50; // Add 50 to accomdate margins


    //  Make menu title vertical
    //  to prevent it from spilling
    //  over into the content.
    function menuShrinkVirtical() {

        // Check content's destance from the left edge
        var contentOffset = $('.site-content').offset().left;
        //  Add 70 to accomodate the content's left margin
        contentOffset = contentOffset - 70;

        if ( menuWidth > (contentOffset) ) {

        	$('.container').addClass('left-side');

        } else {

            $('.container').removeClass('left-side');

        }
    }

    menuShrinkVirtical();


    function menuMoveToTop() {

        var ScreenWidth = window.innerWidth;

        if ( ScreenWidth <= 600 ) {

        	$('.container').addClass('top-menu').removeClass('left-side');

        } else {

            $('.container').removeClass('top-menu');

        }
    }

    menuMoveToTop();


    $( window ).resize(function() {

      menuShrinkVirtical();

      menuMoveToTop();
      
      setTimeout(setTopHeight, 500);

    });

}
menuShrinkOrMove();





//  Customizer setting
//  'Hide Admin on Frontend'
//  this var will be populated
//  on page load from kirki-config.php
if (topBarSetting !== 1) {

    $('div#wpadminbar').hide();

    $('html').attr('style', 'margin-top: 0 !important');

}





var quoteEffect1;
var scrollPosition = 0;
var quoteDivTop;
var MiddleScrollRAW = 0;
var sectionTitle = 0;
var opacitySet;
var maxScrollAmount;
var retreatSpeed;
var scaleSet;
var imageWrapHeight;

//  forward on scroll up or down
function setTopHeight() {
    
    var contentWrapHeight = $('#top-content-wrap').outerHeight( true );
    contentWrapHeight = contentWrapHeight + ($(window).height() * 0.1);

    $('#front-page #top-section').css('height', contentWrapHeight + 'px');

}


//  If enabled, move top back or
//  forward on scroll up or down
function topFixedScrollEffect() {

    // Set the opacity and scale as the page scrolls
    opacitySet = 1 - (scrollPosition/maxScrollAmount);
    maxScrollAmount = 630;
    retreatSpeed = 70; // Higher the number, the slower the retreat
    scaleSet = 1 - ((scrollPosition/retreatSpeed)/maxScrollAmount);
    imageWrapHeight = $('#top-content-wrap').outerHeight( true );
    imageWrapHeight = imageWrapHeight + ($(window).width() * 0.05);

    if (scrollPosition >= maxScrollAmount) {
    
        $('#front-page .fixed-wrap').addClass('trans-0');
        
    } else {
        
        $('#front-page .fixed-wrap').removeClass('trans-0');
        
    }
    
    //$( ' #front-page #top-section ' ).css('height', imageWrapHeight + 'px');

    $('#front-page .fixed-wrap ').addClass('fixed-centered').css('opacity', opacitySet ).css('transform', 'scale(' + scaleSet + ') ');

}



$( window ).resize(function() {

    topFixedScrollEffect();

    });





//  Dark color for transitions
var safeColor = '#333';
var divTop;
var divHeight;
var divBottom;
var thisID;
var topDivColor;
var css;
var bg_color;
var topDivBGColor;
var alpha;
var menuHeight

// change the menu color and title as the page scrolls
function menuColorOnScroll() {

    $('.section').each(function(index){

        divTop = $(this).position().top - $(window).scrollTop();
        divHeight = $(this).outerHeight();
        divBottom = divTop + divHeight;
        thisID = $(this).attr('id');
        sectionTitle = $(this).find('.gi-section-title');
        topDivColor = $(this).css('color');
        css = $(this).css('background');
        bg_color = $(this).css('background-color');
        topDivBGColor = bg_color;
        alpha = bg_color.replace(/^.*,(.+)\)/,'$1');
 var topDivOffset = $('#top-section').offset.top; 
 if ($('.blog-masthead.main-menu .container').hasClass('left-side')) {
     menuHeight = 101;
 } else {
     menuHeight = 50;
 }
 
 var activationPoint = menuHeight
console.log('------------------------------');
console.log('divTop:', divTop);
console.log('activationPoint:', activationPoint);
console.log('divBottom:', divBottom);
console.log('scrollPosition:', scrollPosition);
console.log('menuHeight:', menuHeight);
console.log('thisID:', thisID);
console.log('bg_color:', bg_color);
console.log('css:', css);
//if(scrollPosition <= topDivOffset) {
//    $('nav.blog-nav').css('color', '')
// }

        // if (divTop < 0 && divBottom  > 50) {
        if (divTop < activationPoint && divBottom  > activationPoint) {
            console.log('** ACTIVATED BY:', thisID); 
            $('nav.blog-nav').css('color', topDivColor).css('text-shadow', '-1px -1px 0px ' + bg_color);

           /* if (divTop < 0 && divBottom  < 250 && divBottom  > 0) {
console.log('///// In the Safe Color area //////:', thisID); 
                //  If a .section uses a gradient aroud the edge, the menu tect color will not switch during the transition. Below ensures it will switch to a safe color if needed.
                if (alpha < 1) {
console.log('///// alpha:', alpha); 
                 $('nav.blog-nav').css('color', safeColor);

                }
            }*/
        }
    });
}





function menuLinesShrinkOnScroll() {

    if (scrollPosition > 50) {
    $('#navlin-wrap').addClass('small-navline');
    }

    if (scrollPosition <= 50) {
    $('#navlin-wrap').removeClass('small-navline');
    }

}







 /******************************
 *
 *     Fixed Footer Form
 *
 ******************************/
function createFixedContactForm() {

    $('#footer-form').clone().addClass('fixed-form').addClass('color-footer').appendTo('#fixed-form-wrap').prepend('<button class="close-btn">X</button>');

    $('#footer-form-wrap').prepend('<button class="close-btn">X</button>');

    $('#fixed-form-wrap input#submit').appendTo('#fixed-form-wrap #name-email-boxes');

    $('#fixed-form-wrap input#name, #fixed-form-wrap input#email')
        .on('mouseenter',
            function() {

                var curOpacity = $('#fixed-form-wrap').css('opacity');

                if(curOpacity !== 0) {

                    $('#fixed-form-wrap').addClass('fixed-form-wrap-open');

                }
            });

    $('#fixed-form-wrap').on('mouseleave', function() {
        $('#fixed-form-wrap').removeClass('fixed-form-wrap-open');
    });

    $('body').on('mouseleave', function() {
        $('#fixed-form-wrap').removeClass('fixed-form-wrap-open');
    });


    $('footer').prepend('<button class="footer-form-btn open-btn ">^ Reach out ^</button>');

    $('.footer-form-btn.open-btn').hide();

    $('#footer-form .close-btn, .footer-form-btn.open-btn').on('click', function() {

            if($('#fixed-form-wrap').is(':hidden')) {
            setTimeout(
                function() {

                    $('#fixed-form-wrap').slideToggle('slow');

                },700);

                } else {

                    $('#fixed-form-wrap').slideToggle('slow');

                }

            if($('.footer-form-btn.open-btn').is(':hidden')) {
                setTimeout(
                    function() {

                        $('.footer-form-btn.open-btn').slideToggle('slow');

                    },700);

                    } else {

                        $('.footer-form-btn.open-btn').slideToggle('slow');

                    }
    });


}
createFixedContactForm();





var fixedFormScrlTrig;
function hideFixedFormAtBottom() {

    fixedFormScrlTrig = $(document).height() - ($('#pre-footer-section').height() + $('footer').height());

    if (scrollPosition + $(window).height() - 200 > fixedFormScrlTrig || scrollPosition < 300) {
                 $('#fixed-form-wrap').css('opacity', 0).css('height',0);

    } else {

         $('#fixed-form-wrap').css('opacity','').css('height','');

    }
}
hideFixedFormAtBottom();







 /******************************
 *
 *     Quote Section Effect
 *
 ******************************/
function ensureQuotesDontTouch() {
    var quoteHeight;
    var theTop;
    var oldWinScrollTop;
    oldWinScrollTop = $(window).scrollTop();
    //  Set quote1b in relation to quote1a's height
    quoteHeight = $('.home #quote1a .page-quote').css('height');
    theTop = $(thisQuote).offset().top;
}





var thisQuote;
var wndwHgt;
var quoteDivHeight;
var quoteDivMiddle;
var qtMidTrigger;
var qtScrollActivate;
var qtScrollDeactivate;
var qtScrollActDeactMiddle;
var MiddleScrollPercent;

function quoteOpacityOnScroll() {


    //  Display quote aeras as they pass into view
    $('.quote-area').each(function(index){

        wndwHgt = $(window).height();
        thisQuote = $(this).find('.page-quote');
        quoteDivTop = $(this).position().top - scrollPosition;
        quoteDivHeight = (wndwHgt - $(this).outerHeight()) / 2 + $(this).outerHeight();
        quoteDivMiddle = quoteDivTop + (quoteDivHeight/2);
        qtMidTrigger = -Math.abs(quoteDivHeight/2);
        qtScrollActivate = 0.0 * wndwHgt;
        qtScrollDeactivate = 2 * wndwHgt;
        qtScrollActDeactMiddle = (qtScrollDeactivate - qtScrollActivate)/2;
        MiddleScrollPercent = 1.7-(Math.abs((((qtScrollDeactivate - qtScrollActivate)/2)-quoteDivMiddle)/200));
        MiddleScrollRAW = -(quoteDivMiddle - qtScrollActDeactMiddle)/10;
        opacityFadeAdjustment = 4.5;

        // See if the element middle is between the activation markers
        if (quoteDivMiddle > qtScrollActivate - 300 && quoteDivMiddle  <  qtScrollDeactivate) {

            // Record that the element has been activated
            quoteEffect1 = 1; 
            
            if (isMobile == true) {
                
                $( thisQuote ).css( 'opacity', MiddleScrollPercent + opacityFadeAdjustment );

            } else {
                
                $( thisQuote ).css( 'opacity', MiddleScrollPercent + opacityFadeAdjustment ).css('transform', 'translate(-50%,-' + (50 +  MiddleScrollRAW) + '%)');

            }
            
            if (MiddleScrollPercent >= -2) {

                $(thisQuote).fadeIn('fast');
            }
        }
        
        // See if the element has been activated
        if (quoteEffect1 === 1 ) {

            if (quoteDivMiddle <= qtMidTrigger -100 || quoteDivMiddle >= quoteDivHeight + 100) {
                    quoteEffect1 = 0;  

                    $(thisQuote).css('opacity', "" );

            }
        }
     });
}


var opacitySetting;
// Remove the fixed top section from the DOM when it is out of sight.
function removeFixedWrap() {
    
    var fixedWrapHgt = $('.fixed-wrap').outerHeight();
    if (scrollPosition >= 550) { 
        
        jQuery('.fixed-wrap').css('height', fixedWrapHgt ).children().fadeOut('fast'); 
        
    } else { 

            jQuery('.fixed-wrap').children().fadeIn('fast');

    };
    
}



//  Quote section, the menu and the fixed form all have scroll-activated reactions. Refreshing the page over one of these elements will show the element without the being affected by scrolling. the following solves that issue without adding a ton of additional logic to each.
$(window).load(function() {
    
    setTimeout( function() { 
        
        setTopHeight(); 
        
        //removeFixedWrap();
        
    }, 500 );
    

    
    pageOpenEffect();
    
    //window.scrollTo(window.scrollX, window.scrollY + 1);
});





 /******************************
 *
 *      Window On Scroll
 *
 ******************************/


$( window ).scroll(function() {
    
    scrollPosition = $(window).scrollTop();
    
    menuLinesShrinkOnScroll();
    
    menuColorOnScroll();

    topFixedScrollEffect();

    hideFixedFormAtBottom();

    quoteOpacityOnScroll();

    removeFixedWrap();





});// END of window.on scroll




})( jQuery );